Webhook Event ReferenceFulfillment
fulfillment.created
Triggers when a fulfillment is created.
Request Body
application/json
api_version?string
API Version of the object data schema.
data?
event_id?string
Unique id associated with this webhook event.
Format
uuidevent_type?string
Webhook event type of the current event.
object?string
Object data type.
webhook?
Response Body
Example Requests
POST
/fulfillment.created{
"api_version": "2024-04-01",
"data": {
"created_at": "2024-01-01T00:00:00Z",
"delivery_status": {},
"id": 0,
"last_event_date": null,
"line_items": [
{
"currency": "string",
"fulfilled_quantity": "string",
"fulfillment_service": "string",
"id": 0,
"order_line_id": 0,
"price_excl_tax": "0.00",
"price_incl_tax": "0.00",
"product_id": 0,
"product_image": "https://example.com",
"product_title": "string",
"quantity": 0,
"requires_shipping": false,
"returnable_quantity": "string",
"returned_quantity": "string",
"sku": "string",
"tax_lines": [
{
"amount": null,
"currency": null,
"rate": null,
"report_values": null,
"source": null,
"tax_id": null,
"tax_title": null
}
],
"total_discount": "0.00"
}
],
"location_id": 0,
"order_number": "string",
"origin_address": {
"country": "string",
"line1": "string",
"line2": "string",
"line3": "string",
"line4": "string",
"phone_number": "string",
"postcode": "string",
"state": "string"
},
"requires_shipping": false,
"shipping_method": "string",
"status": "string",
"tracking_carrier": "string",
"tracking_carriers": "string",
"tracking_code": "string",
"tracking_codes": "string",
"tracking_link": "string",
"tracking_links": "https://example.com"
},
"event_id": "a7a26ff2-e851-45b6-9634-d595f45458b7",
"event_type": "fulfillment.created",
"object": "fulfillment",
"webhook": {
"events": [
"fulfillment.created"
],
"id": 1,
"store": "example",
"target": "https://example.com/webhook/"
}
}